## binfmtc 0.17

=== debian/changelog ===
binfmtc (0.17-3) unstable; urgency=medium

  [ Andreas Tille ]
  * QA upload.
  * Maintain package in Debian/ team
    (see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=941563#42)
  * Set Homepage
  * Add watch file

  [ наб ]
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * d/rules: short dh
  * debian/patches/autoreconf
  * Install binfmts with d/install
  * d/debuild.sh, d/git-tag.sh: drop (obsolete)
  * pbuilder-test/01_check: bash -> sh
  * d/control: drop Pascal from description (we don't ship it)
  * d/copyright: DEP-5
  * command-with-path-in-maintainer-script /usr/sbin/update-binfmts
  * maintainer-script-ignores-errors (Closes: #866275)
  * d/binfmtc.lintian-overrides: override executable-not-elf-or-script
  * Fix languages in realcxxsh.cc.1 binfmtgcj-interpreter.1 (Closes: #514838)
  * Repeat options after source (Closes: #941563)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Fri, 28 Feb 2025 17:14:27 +0100

binfmtc (0.17-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089293)
  * Replace `dh_clean -k` with `dh_prep`.
  * Bump `Priority` to `optional` (`extra` is long gone).

 -- Niels Thykier <niels@thykier.net>  Thu, 02 Jan 2025 17:59:03 +0000

binfmtc (0.17-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1036417)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #970048)
    + Let dh_auto_configure pass --host to ./configure.
    + Defer stripping to dh_strip.

 -- Bastian Germann <bage@debian.org>  Thu, 28 Sep 2023 21:30:13 +0000

binfmtc (0.17-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for systemd-binfmt. (Closes: #1012335)

 -- Michael Biebl <biebl@debian.org>  Wed, 11 Jan 2023 17:05:05 +0100

binfmtc (0.17-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999287).

 -- Marcos Talau <marcos@talau.info>  Tue, 05 Apr 2022 14:14:58 -0300

binfmtc (0.17-2) unstable; urgency=medium

  * Update debheper compat level 9, and check with debdiff.
    (Closes: #817377).

 -- Junichi Uekawa <dancer@debian.org>  Tue, 28 Jun 2016 20:11:01 +0900

binfmtc (0.17-1) unstable; urgency=low

  [ Junichi Uekawa ]
  * New upstream release
  * Improve C++ compilation for upaccho example.

  [ Matthias Klose ]
  * patch from ubuntu (closes: #640126)
  * Recommend libreadline-dev instead of libreadline5-dev.
  * Suggests gcj-jdk instead of gcj, drop gpc suggestion.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 21 Sep 2011 11:29:00 +0900

binfmtc (0.16-1) unstable; urgency=low

  * New upstream version
  * Update of package intended for lenny release.
  * Handle lenny linux kernel with realksh.c
  * handle transition for g77->gfortran in lenny.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 04 Oct 2008 23:52:39 -0700

binfmtc (0.15-1) unstable; urgency=low

  * New upstream version
  - Remove temporary files at process exit time. 
  Process exit is monitored every second
  - realksh: Handle Modules.symvers->Module.symvers change in Linux Kernel.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 02 Sep 2007 11:28:28 +0900

binfmtc (0.14-1) unstable; urgency=low

  * New upstream version
  * realcxxsh.cc improvement.
  * Bug fix: "binfmtc: Missing readline dependency", thanks to Vincent
    Crevot (Closes: #418625).
  * add pbuilder-test

 -- Junichi Uekawa <dancer@debian.org>  Sat, 14 Jul 2007 17:54:27 +0900

binfmtc (0.13-1) unstable; urgency=low

  * realcxxsh.cc
  * realcsh.c improvement.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 13 Jan 2007 18:21:34 +0900

binfmtc (0.12-1) unstable; urgency=low

  * New upstream version
  * fix memory leak in realcsh.

 -- Junichi Uekawa <dancer@debian.org>  Sun,  3 Sep 2006 17:14:27 +0900

binfmtc (0.11-1) unstable; urgency=low

  * New upstream version
  * libgcj7-dev is now a dependency of gcj, remove the suggests.
  * Standards-Version: 3.7.2

 -- Junichi Uekawa <dancer@debian.org>  Sat,  5 Aug 2006 11:50:30 +0900

binfmtc (0.10-2) unstable; urgency=low

  * realksh.c: add sched_yield for better behavior.
  * Suggest libgcj7-dev instead of libgcj6-dev (Closes: #367389).

 -- Junichi Uekawa <dancer@debian.org>  Sun, 28 May 2006 11:33:17 +0900

binfmtc (0.10-1) unstable; urgency=low

  * New upstream version
  - add realksh.c sample program for kernel shell.
  - don't run make check in debian/rules, since it's risky, and will
    always fail since it requires a system binfmtc installed.

 -- Junichi Uekawa <dancer@debian.org>  Fri,  6 Jan 2006 20:08:34 +0900

binfmtc (0.9-1) unstable; urgency=low

  * New upstream version

 -- Junichi Uekawa <dancer@debian.org>  Wed,  9 Nov 2005 20:45:36 +0900

binfmtc (0.8-1) unstable; urgency=low

  * New upstream version
  * Initial upload (closes: #325371)

 -- Junichi Uekawa <dancer@debian.org>  Tue, 30 Aug 2005 09:04:13 +0900

binfmtc (0.7-1) UNRELEASED; urgency=low

  * New upstream version

 -- Junichi Uekawa <dancer@debian.org>  Fri, 29 Jul 2005 22:07:40 +0900

binfmtc (0.6-1) UNRELEASED; urgency=low

  * New upstream version

 -- Junichi Uekawa <dancer@debian.org>  Sun, 19 Jun 2005 08:57:32 +0900

binfmtc (0.5-1) UNRELEASED; urgency=low

  * New upstream version

 -- Junichi Uekawa <dancer@debian.org>  Sat,  4 Jun 2005 01:51:34 +0900

binfmtc (0.4-1) UNRELEASED; urgency=low

  * New upstream version

 -- Junichi Uekawa <dancer@debian.org>  Sat,  4 Jun 2005 00:14:45 +0900

binfmtc (0.3-0.1) UNRELEASED; urgency=low

  * New upstream version

 -- Junichi Uekawa <dancer@debian.org>  Tue, 24 May 2005 08:29:08 +0900

binfmtc (0.2-0.1) UNRELEASED; urgency=low

  * New upstream release

 -- Junichi Uekawa <dancer@debian.org>  Mon, 23 May 2005 07:13:08 +0900

binfmtc (0.1-0.1) UNRELEASED; urgency=low
  
  * Initial release
  
 -- Junichi Uekawa <dancer@debian.org>  Sat,  7 May 2005 05:56:04 +0900
