=== debian/control ===
Source: binfmtc
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/binfmtc
Vcs-Git: https://salsa.debian.org/debian/binfmtc.git
Homepage: https://www.netfort.gr.jp/~dancer/software/binfmtc.html

Package: binfmtc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gcc, binutils, g++, binfmt-support | systemd
Recommends: libreadline-dev
Suggests: gfortran, gcj-jdk
Description: Execute C program as script
 Linux binfmt_misc handler for C, C++, Assembly languages,
 Fortran, Java(GCJ).
 .
 Using the binfmt_misc interface, binfmtc allows users to
 seamlessly execute C source code as if they were scripts.
 .
 Includes example utilities realcsh.c, realksh.c, which are for your
 real C scripting pleasures.
