=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:

execute_after_dh_auto_install:
	rm -f debian/binfmtc/usr/sbin/binfmtc-init.sh
	rm -f debian/binfmtc/usr/sbin/binfmtc-unreg.sh
